Bug 79327 - the function hal_msbindex() has error
the function hal_msbindex() has error
Status: CLOSED WONTFIX
Product: eCos
Classification: Retired
Component: HAL (Show other bugs)
1.3.1
arm7 Linux
medium Severity medium
: ---
: ---
Assigned To: eCos bugs internal list
eCos bugs internal list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-10 01:13 EST by Need Real Name
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 12:17:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-12-10 01:13:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
int hal_msbindex(int mask)
   {
    int i;
    for (i = 32;  i >= 0;  i++) {
      if (mask & (1<<i)) return (i);
    }
    return (-1);
    }

It should be 

int hal_msbindex(int mask)
   {
    int i;
    for (i = 31;  i >= 0;  i--) {
      if (mask & (1<<i)) return (i);
    }
    return (-1);
    }

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.look it 
2.think it
3.ok
	

Additional info:
Comment 1 Alex Schuilenburg 2003-06-20 12:17:58 EDT
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=79327

Note You need to log in before you can comment on or make changes to this bug.